Package org.apache.lucene.util

## Class TermAndVector

- java.lang.Object
- - org.apache.lucene.util.TermAndVector

-     public class TermAndVector
      extends Object

  Word2Vec unit composed by a term with the associated vector
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TermAndVector​(BytesRef term, float[] vector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BytesRef` | `getTerm()` |
    `float[]` | `getVector()` |
    `void` | `normalizeVector()` |
    `int` | `size()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TermAndVector

          public TermAndVector​(BytesRef term,
                               float[] vector)

  - ### Method Detail

    - #### getTerm

          public BytesRef getTerm()

    - #### getVector

          public float[] getVector()

    - #### size

          public int size()

    - #### normalizeVector

          public void normalizeVector()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`